{
  "AbilityName": "Astra_Branch_SingAttack_Combo_01",
  "AbilityStacking": "Unique",
  "EventGraph": {
    "EditorOnlyData": {
      "Event": {
        "OnAbilityTrigger": {
          "Position": {
            "x": 640,
            "y": 680
          }
        }
      },
      "Graph": {
        "Pan": {
          "x": -3671,
          "y": -568
        },
        "Zoom": 1.749006
      },
      "Group": [
      ],
      "Node": [
        {
          "Position": {
            "x": 1420,
            "y": 680
          }
        },
        {
          "Position": {
            "x": 1050,
            "y": 680
          }
        },
        {
          "Position": {
            "x": 2210,
            "y": 680
          }
        },
        {
          "Position": {
            "x": 2040,
            "y": 790
          }
        },
        {
          "Position": {
            "x": 2480,
            "y": 680
          }
        },
        {
          "Position": {
            "x": 2700,
            "y": 680
          }
        },
        {
          "Position": {
            "x": 2940,
            "y": 740
          }
        }
      ]
    },
    "EventMap": {
      "OnAbilityTrigger": {
        "$type": "ConfigAbilityGraphEvent",
        "EventNodeBind": 1,
        "ParametersBind": [
        ]
      }
    },
    "NodeList": [
      {
        "$type": "CreateProp",
        "DefaultOutBind": 2,
        "ExtraComponents": [
          "TimeScaleComponent"
        ],
        "InitialGraphKey": {
          "DefaultValue": "Astra_Thunder"
        },
        "ModelSize": {
          "DefaultValue": 1
        },
        "Position": {
          "BindId": 1000
        },
        "PropID": {
          "$type": "ConfigOutputValue",
          "BindId": [
            1003
          ]
        },
        "Rotation": {
          "$type": "ConfigInputValue",
          "BindId": 1002
        }
      },
      {
        "$type": "GetEntityPosRot",
        "AttachPoint": {
          "DefaultValue": "AstraTargetPoint"
        },
        "DefaultOutBind": 0,
        "Position": {
          "$type": "ConfigOutputValue",
          "BindId": [
            1000
          ]
        },
        "Rotation": {
          "$type": "ConfigOutputValue",
          "BindId": [
            1002
          ]
        },
        "Target": {
          "$type": "ConfigInputValue",
          "BindId": 0
        }
      },
      {
        "$type": "InvokeEventNode",
        "AbilityName": "Astra_Thunder",
        "CustomParams": [
          {
            "PortName": "AttackPropertyKey",
            "PortType": "string"
          }
        ],
        "DefaultOutBind": 4,
        "EventName": "TriggerThunder",
        "Params": [
          {
            "$type": "ConfigInputValue",
            "BindId": 1001
          }
        ],
        "PreActionBind": [
          3
        ],
        "Target": {
          "$type": "ConfigInputValue",
          "BindId": 1003
        }
      },
      {
        "$type": "ConstValueNode",
        "DefaultOutBind": -1,
        "Output": {
          "$type": "ConfigOutputValue",
          "BindId": [
            1001,
            1004
          ]
        },
        "Value": {
          "$type": "ConfigDynamicValueString",
          "Value": "Astra_Attack_Branch_SingAttack_Combo_AttackProperty_01"
        }
      },
      {
        "$type": "IsInZoneTag",
        "DefaultOutBind": 5,
        "Result": {
          "$type": "ConfigOutputValue",
          "BindId": [
            1005
          ]
        },
        "Target": {
          "$type": "ConfigInputValue",
          "BindId": 0
        },
        "ZoneTag": {
          "DefaultValue": "Astra_Card_A_02"
        }
      },
      {
        "$type": "BranchNode",
        "Condition": {
          "BindId": 1005
        },
        "DefaultOutBind": -1,
        "FalseBind": -1,
        "TrueBind": 6
      },
      {
        "$type": "InvokeEventNode",
        "AbilityName": "Astra_Card_A_02_ExtraThunder",
        "CustomParams": [
          {
            "PortName": "AttackProperty",
            "PortType": "string"
          }
        ],
        "DefaultOutBind": -1,
        "EventName": "Launch",
        "Params": [
          {
            "$type": "ConfigInputValue",
            "BindId": 1004
          }
        ],
        "PreActionBind": [
          3
        ],
        "Target": {
          "$type": "ConfigInputValue",
          "BindId": 0
        }
      }
    ],
    "VariableRegisterList": [
    ]
  },
  "OnAbilityTrigger": [
    {
      "$type": "CallGraphEvent",
      "EventName": "OnAbilityTrigger"
    }
  ]
}